package com.pdaaphm.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.pdaaphm.common.annotation.Excel;
import com.pdaaphm.common.core.domain.BaseEntity;

/**
 * 数据管理对象 t_data
 * 
 * @author Allen
 * @date 2024-08-19
 */
public class Data extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 数据名称 */
    @Excel(name = "数据名称")
    private String dataName;

    /** 数据类型（1原始，2补全结果，3扩充结果，4特称提取结果，5退化评估结果，6故障预测结果） */
    @Excel(name = "数据类型", readConverterExp = "1=原始，2补全结果，3扩充结果，4特称提取结果，5退化评估结果，6故障预测结果")
    private String dataType;

    /** 数据路径 */
    @Excel(name = "数据路径")
    private String dataPath;

    /** 图片路径 */
    @Excel(name = "图片路径")
    private String imagePath;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDataName(String dataName) 
    {
        this.dataName = dataName;
    }

    public String getDataName() 
    {
        return dataName;
    }
    public void setDataType(String dataType) 
    {
        this.dataType = dataType;
    }

    public String getDataType() 
    {
        return dataType;
    }
    public void setDataPath(String dataPath) 
    {
        this.dataPath = dataPath;
    }

    public String getDataPath() 
    {
        return dataPath;
    }
    public void setImagePath(String imagePath) 
    {
        this.imagePath = imagePath;
    }

    public String getImagePath() 
    {
        return imagePath;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dataName", getDataName())
            .append("dataType", getDataType())
            .append("dataPath", getDataPath())
            .append("imagePath", getImagePath())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
